Skip to main content
GET
/
v1
/
analytics
/
insights
Get Analyst Insights
curl --request GET \
  --url https://api.aries.com/v1/analytics/insights \
  --header 'Authorization: Bearer <token>'
{
  "insights": [
    {
      "id": "<string>",
      "date": "<string>",
      "updated": 123,
      "action": "<string>",
      "rating": "<string>",
      "ratingId": "<string>",
      "pt": "<string>",
      "firm": "<string>",
      "firmId": "<string>",
      "analystInsights": "<string>",
      "security": {
        "cik": "<string>",
        "exchange": "<string>",
        "isin": "<string>",
        "name": "<string>",
        "symbol": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

page
integer

Page number (0-based)

Required range: x >= 0
pageSize
integer

Results per page (default 10)

Required range: 1 <= x <= 1000
symbols
string

Comma-separated ticker symbols (e.g. AAPL,MSFT)

analyst
string

Comma-separated analyst IDs

ratingId
string

Comma-separated rating IDs

searchKeysType
enum<string>

Type of search key

Available options:
firm_id,
firm
searchKeys
string

Search key value (based on searchKeysType)

Response

Analyst insights. Each item may include id, date, updated, action, rating, ratingId, pt, firm, firmId, analystInsights, security (cik, exchange, isin, name, symbol).

insights
object[]